#include<bits/stdc++.h>
using namespace std;
int n,a,b,nula,veliko,brnula,brnenula,br,pom,i;
long long sum;
int x[300000],y[300000];
int nule[100005],nenule[100005],vrednost[100005];
bool prov;
int main()
{
    cin>>n;
    prov=true;
    for(int i=1;i<=n;i++)
    {
        cin>>a>>b;
        x[a]++;
        y[b]++;
    }
    for(int i=1;i<=n;i++)
    {
        if(y[i]==0)
        {
            brnula++;
            nule[brnula]=i;
        }
        if(y[i]>1)
        {
            brnenula++;
            nenule[brnenula]=i;
            vrednost[brnenula]=y[i];
        }
    }
    br=1;
    for(int i=1;i<=brnula;i++)
    {
        sum+=abs(nenule[br]-nule[i]);
        vrednost[br]--;
        if(vrednost[br]==1)
        {
            br++;
        }
    }
    ///OVDE JE RAZMAK
    brnula=0;
    brnenula=0;
    memset(nule,0,sizeof(nule));
    memset(nenule,0,sizeof(nenule));
    for(int i=1;i<=n;i++)
    {
        if(x[i]==0)
        {
            brnula++;
            nule[brnula]=i;
        }
        if(x[i]>1)
        {
            brnenula++;
            nenule[brnenula]=i;
            vrednost[brnenula]=x[i];
        }
    }
    br=1;
    for(int i=1;i<=brnula;i++)
    {
        sum+=abs(nenule[br]-nule[i]);
        vrednost[br]--;
        if(vrednost[br]==1)
        {
            br++;
        }
    }
    cout<<sum<<endl;
    return 0;
}